From 73cfdc1169a8913efae6d3dd182d068385b9e0ac Mon Sep 17 00:00:00 2001
From: "Robert A. Burks" <rburksdev@gmail.com>
Date: Wed, 13 Mar 2024 18:28:22 -0400
Subject: [PATCH 07/31] * src/data.c (Fmakunbound): Now calls 'set_internal'
 directly.

Validating input symbol, alias redirection, and checking for constant
will happen in 'set_internal'.
---
 src/data.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/src/data.c b/src/data.c
index 501c11fccba..678335759f0 100644
--- a/src/data.c
+++ b/src/data.c
@@ -757,10 +757,9 @@ DEFUN ("makunbound", Fmakunbound, Smakunbound, 1, 1, 0,
 See also `fmakunbound'.  */)
   (register Lisp_Object symbol)
 {
-  CHECK_SYMBOL (symbol);
-  if (SYMBOL_CONSTANT_P (symbol))
-    xsignal1 (Qsetting_constant, symbol);
-  Fset (symbol, Qunbound);
+  /* 'set_internal' will 'CHECK_SYMBOL', follow alias redirection, and
+     check for setting constant.  */
+  set_internal (symbol, Qunbound, Qnil, SET_INTERNAL_SET);
   return symbol;
 }
 
-- 
2.34.1

